### Enumeration

# Qmi SubscriptionType

since: 1.37

#### Declaration

    enum Qmi.SubscriptionType

#### Description [src]

Subscription Type.

Available since: 1.37

#### Members

`QMI_SUBSCRIPTION_TYPE_DEFAULT`

  Default.

  - Value: `0`
  - Available since: 1.37
`QMI_SUBSCRIPTION_TYPE_PRIMARY`

  Primary.

  - Value: `1`
  - Available since: 1.37
`QMI_SUBSCRIPTION_TYPE_SECONDARY`

  Secondary.

  - Value: `2`
  - Available since: 1.37
`QMI_SUBSCRIPTION_TYPE_TERITIARY`

  Teritiary.

  - Value: `3`
  - Available since: 1.37
`QMI_SUBSCRIPTION_TYPE_ANY`

  Any.

  - Value: `255`
  - Available since: 1.37

#### Type functions

###### qmi_subscription_type_get_string

Gets the nickname string for the `QmiSubscriptionType` specified at `val`.

since: 1.37